Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007299opensim[REGION] Script Functionspublic2014-08-11 09:332015-08-18 09:35
ReporterBlackdog Ashbourne 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0007299: llSetLinkPrimitiveParams* functionality differs from SL
DescriptionllSetLinkPrimitiveParams and llSetLinkPrimitiveParamsFast now allow movement of a seated avatar, however on unsit, the avatar snaps back to around the sit target of the original prim. This behaviour differs from SL, where the avatar will stand at their new (relocated) position and breaks objects being ported to OpenSim which rely on this functionality (e.g. for in-building teleport systems).
Steps To ReproduceSame as in issue 6121 with the following changes:
Set avatar position to + <5,0,0> and stand or llUnSit once relocated
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Script Engine
EnvironmentUnknown
Mono VersionNone
ViewerFirestorm 4.6.5 (40833)
Attached Files

- Relationships
related to 0006121closedmelanie llSetLinkPrimitiveParams, llSetLinkPrimitiveParamsFast, llGetLinkPrimitiveParams do not work on avatars 

-  Notes
(0026791)
justincc (administrator)
2014-08-29 16:31

Fixed in git master a02dae5
(0029301)
aiaustin (developer)
2015-08-18 09:35

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2014-08-11 09:33 Blackdog Ashbourne New Issue
2014-08-11 09:33 Blackdog Ashbourne Relationship added related to 0006121
2014-08-29 16:31 justincc Note Added: 0026791
2014-08-29 16:31 justincc Status new => resolved
2014-08-29 16:31 justincc Resolution open => fixed
2014-08-29 16:31 justincc Assigned To => justincc
2015-08-18 09:35 aiaustin Note Added: 0029301
2015-08-18 09:35 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker